Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now
Idempotency Supported
Try in API ExplorerThis API call can be used to set the promotional credits balance of a customer. Learn more about Promotional Credits.
For example,
- If a customer has a credit balance of $10 and if you would like to set the balance to $100, you could pass the amount as $100.
- If a customer has a credit balance of $10 and if you would like to set the balance to $5, you could pass the amount as $5.
- If a customer has a credit balance of $10 and if you would like to clear the balance, you could pass the amount as $0.
Sample Request
URL Format
POST https://[site].chargebee.com/api/v2/promotional_credits/set
Input Parameters
required if Multicurrency is enabled, string, max chars=3
The currency code (ISO 4217 format) for promotional credit.
optional, enumerated string, default=general
Type of promotional credits provided to customer.
loyalty_credits
Loyalty Credits
referral_rewards
Referral
general
General
Returns
customerCustomer object
Resource object representing customer
promotional_creditPromotional credit object
Resource object representing promotional_credit